function loadlevel(filename)
	local file=love.filesystem.newFile(filename)
	
	objectnum=1
	object_x={}
	object_y={}
	object_type={}
	shape_x={}
	shape_y={}
	shape_width={}
	shape_height={}
	shape_amount={}
	
	file:open("r")
	for line in file:lines() do
		local currentline=line
		object_x[objectnum]=tonumber(string.sub(currentline,1,string.find(currentline,",")-1))
		currentline=string.sub(currentline,string.find(currentline,",")+1)
		object_y[objectnum]=tonumber(string.sub(currentline,1,string.find(currentline,",")-1))
		currentline=string.sub(currentline,string.find(currentline,",")+1)
		object_type[objectnum]=string.sub(currentline,1,string.find(currentline,",")-1)
		if object_type=="platform" then
			shapenum=1
			while not string.find(currentline,",")==nil do
				currentline=string.sub(currentline,string.find(currentline,",")+1)
				shape_x[objectnum][shapenum]=tonumber(string.sub(currentline,1,string.find(currentline,",")-1))
				currentline=string.sub(currentline,string.find(currentline,",")+1)
				shape_y[objectnum][shapenum]=tonumber(string.sub(currentline,1,string.find(currentline,",")-1))
				currentline=string.sub(currentline,string.find(currentline,",")+1)
				shape_width[objectnum][shapenum]=tonumber(string.sub(currentline,1,string.find(currentline,",")-1))
				currentline=string.sub(currentline,string.find(currentline,",")+1)
				shape_height[objectnum][shapenum]=tonumber(string.sub(currentline,1,string.find(currentline,",")-1))
				shapenum=shapenum+1
			end
			shape_amount[objectnum]=shapenum-1
		end
		objectnum=objectnum+1
	end
	file:close()
end

function createlevel()
	world=love.physics.newWorld(love.graphics.getWidth(),love.graphics.getHeight())
	world:setGravity(0,500)
	
	anchor={}
	platform={}
	platform_shape={}
	joint={}
	
	local a, b
	for a=1,objectnum-1 do
		if object_type[a]=="platform" then
			anchor[a]=love.physics.newBody(world,object_x[a],object_y[a])
			platform[a]=love.physics.newBody(world,object_x[a],object_y[a])
			for b=1,shape_amount[a] do
				platform_shape[a][b]=love.physics.newRectangleShape(platform[a],shape_x[b],shape_y[b],shape_width[b],shape_height[b])
			end
			platform[a]:setBullet(true)
			joint[a]=love.physics.newRevoluteJoint(anchor[a],platform[a],object_x[a],object_y[a])
		end
		
		if object_type[a]=="ball" then
			ball=love.physics.newBody(world,object_x[a],object_y[a])
			ball_shape=love.physics.newCircleShape(ball,0,0,16)
			ball:setMassFromShapes()
		end
	end
end
